## opencpn-plugin-weatherrouting 1.300.2

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Sean D'Epagnier
## Copyright:
## License:     GPLv3+
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(weather_routing_pi)
SET(PACKAGE_NAME weather_routing_pi)
SET(VERBOSE_NAME Weather_routing)
SET(TITLE_NAME WEATHER_ROUTING)
SET(CPACK_PACKAGE_CONTACT "Sean D'Epagnier ")

INCLUDE("cmake/PluginConfigure.cmake")

IF(WEATHER_ROUTING_USE_SVG)
  ADD_DEFINITIONS(-DWEATHER_ROUTING_USE_SVG)
ENDIF(WEATHER_ROUTING_USE_SVG)

SET(SRC_WEATHER_ROUTING
            src/weather_routing_pi.cpp
            src/WeatherRouting.cpp
            src/ConfigurationDialog.cpp
            src/SettingsDialog.cpp
            src/PlotDialog.cpp
            src/BoatDialog.cpp
            src/StatisticsDialog.cpp
            src/ReportDialog.cpp
            src/FilterRoutesDialog.cpp
            src/ConfigurationBatchDialog.cpp
            src/EditPolarDialog.cpp
            src/AboutDialog.cpp
            src/Polar.cpp
            src/Boat.cpp
            src/RouteMap.cpp
            src/RouteMapOverlay.cpp
            src/Utilities.cpp
            src/LineBufferOverlay.cpp
            src/PolygonRegion.cpp
            src/WeatherRoutingUI.cpp
            src/icons.cpp

            src/zuFile.cpp
            src/georef.c
            src/GribRecord.cpp
)


SET(SRC_LIBTESS2
  src/libtess2/bucketalloc.c
  src/libtess2/dict.c
  src/libtess2/geom.c
  src/libtess2/mesh.c
  src/libtess2/priorityq.c
  src/libtess2/sweep.c
  src/libtess2/tess.c)


SET(SRC ${SRC_WEATHER_ROUTING} ${SRC_LIBTESS2})
ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC})

IF(NOT UNIX)
    SET(SRC_BZIP
            src/bzip2/bzlib.c
            src/bzip2/blocksort.c
            src/bzip2/compress.c
            src/bzip2/crctable.c
            src/bzip2/decompress.c
            src/bzip2/huffman.c
            src/bzip2/randtable.c
    )
    ADD_LIBRARY(LIB_BZIP_WR STATIC ${SRC_BZIP})
    TARGET_LINK_LIBRARIES( ${PACKAGE_NAME} LIB_BZIP_WR )
    INCLUDE_DIRECTORIES(${PLUGIN_SOURCE_DIR}/src/bzip2)
ENDIF(NOT UNIX)

#IF(NOT UNIX)
#    INCLUDE_DIRECTORIES(src/zlib-1.2.3)
#    INCLUDE_DIRECTORIES(src/bzip2)
#ENDIF(NOT UNIX)


IF(WIN32)
  IF(MSVC)
    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/buildwin/include)
    TARGET_LINK_LIBRARIES(${PACKAGE_NAME} "${CMAKE_SOURCE_DIR}/buildwin/zlib1.lib")
  ELSE()
    # MINGW
#    TARGET_LINK_LIBRARIES(${PACKAGE_NAME} "-lwxzlib-2.8")
    TARGET_LINK_LIBRARIES(${PACKAGE_NAME} "-lz")
  ENDIF()
ENDIF()

INCLUDE("cmake/PluginJSON.cmake")
INCLUDE("cmake/PluginXML.cmake")
INCLUDE("cmake/PluginGL.cmake")

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-weatherrouting (1.300.2-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 13 Aug 2019 14:02:29 -0700

opencpn-plugin-weatherrouting (1.300.2-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 13 Aug 2019 13:55:48 -0700

opencpn-plugin-weatherrouting (1.300.2-0~disco1) disco; urgency=low

  * v1.300.2

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 23:47:27 -0400

opencpn-plugin-weatherrouting (1.300.1-0~cosmic1) cosmic; urgency=low

  * v1.300.1

 -- Dave Register <bdbcat@yahoo.com>  Thu, 23 May 2019 00:04:56 -0400

opencpn-plugin-weatherrouting (1.300.1-0~bionic1) bionic; urgency=low

  * v1.300.1

 -- Dave Register <bdbcat@yahoo.com>  Thu, 23 May 2019 00:04:56 -0400

opencpn-plugin-weatherrouting (1.300.1-0~xenial1) xenial; urgency=low

  * v1.300.1

 -- Dave Register <bdbcat@yahoo.com>  Thu, 23 May 2019 00:04:56 -0400

opencpn-plugin-weatherrouting (1.300.1-0~trusty1) trusty; urgency=low

  * v1.300.1

 -- Dave Register <bdbcat@yahoo.com>  Thu, 23 May 2019 00:04:56 -0400

opencpn-plugin-weatherrouting (1.300.0-0~cosmic1) cosmic; urgency=low

  * v1.300.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 23:52:55 -0400

opencpn-plugin-weatherrouting (1.300.0-0~bionic1) bionic; urgency=low

  * v1.300.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 23:52:55 -0400

opencpn-plugin-weatherrouting (1.300.0-0~xenial1) xenial; urgency=low

  * v1.300.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 23:52:55 -0400

opencpn-plugin-weatherrouting (1.300.0-0~trusty1) trusty; urgency=low

  * v1.300.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 23:52:55 -0400

opencpn-plugin-weatherrouting (1.13.0-0~cosmic1) cosmic; urgency=low

  * v1.13.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 15 May 2019 22:33:28 -0400

opencpn-plugin-weatherrouting (1.13.0-0~bionic1) bionic; urgency=low

  * v1.13.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 15 May 2019 22:33:28 -0400

opencpn-plugin-weatherrouting (1.13.0-0~xenial1) xenial; urgency=low

  * v1.13.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 15 May 2019 22:33:28 -0400

opencpn-plugin-weatherrouting (1.13.0-0~trusty1) trusty; urgency=low

  * v1.13.0

 -- Dave Register <bdbcat@yahoo.com>  Wed, 15 May 2019 22:33:28 -0400

opencpn-plugin-weatherrouting (1.6.1-0~precise1) precise; urgency=low

  * v1.6.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 20 Jun 2015 10:18:09 -0500

opencpn-plugin-weatherrouting (1.6.1-0~trusty1) trusty; urgency=low

  * v1.6.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 20 Jun 2015 10:18:09 -0500

opencpn-plugin-weatherrouting (1.6.1-0~utopic1) utopic; urgency=low

  * v1.6.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 20 Jun 2015 10:18:09 -0500

opencpn-plugin-weatherrouting (1.6.1-0~vivid1) vivid; urgency=low

  * v1.6.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 20 Jun 2015 10:18:09 -0500

opencpn-plugin-weatherrouting (1.6.1-0~wily1) wily; urgency=low

  * v1.6.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 20 Jun 2015 10:18:09 -0500

opencpn-plugin-weatherrouting (1.6.0-0~precise1) precise; urgency=low

  * v1.6

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:04:18 -0500

opencpn-plugin-weatherrouting (1.6.0-0~trusty1) trusty; urgency=low

  * v1.6

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:04:18 -0500

opencpn-plugin-weatherrouting (1.6.0-0~utopic1) utopic; urgency=low

  * v1.6

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:04:18 -0500

opencpn-plugin-weatherrouting (1.6.0-0~vivid1) vivid; urgency=low

  * v1.6

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:04:18 -0500

opencpn-plugin-weatherrouting (1.6.0-0~wily1) wily; urgency=low

  * v1.6

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:04:18 -0500

opencpn-plugin-weatherrouting (1.5.0-0~lucid1) lucid; urgency=low

  * Version 1.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 12:47:59 -0500

opencpn-plugin-weatherrouting (1.5.0-0~precise1) precise; urgency=low

  * Version 1.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 12:47:59 -0500

opencpn-plugin-weatherrouting (1.5.0-0~trusty1) trusty; urgency=low

  * Version 1.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 12:47:59 -0500

opencpn-plugin-weatherrouting (1.5.0-0~utopic1) utopic; urgency=low

  * Version 1.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 12:47:59 -0500

opencpn-plugin-weatherrouting (1.5.0-0~vivid1) vivid; urgency=low

  * Version 1.5

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 12:47:59 -0500

=== debian/control ===
Source: opencpn-plugin-weatherrouting
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: David Register <bdbcat@yahoo.com>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common, libwxgtk3.0-dev, libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers, libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-weatherrouting
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n, opencpn (>= 4.99.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
